pcl::EuclideanClusterComparator< PointT, PointLT, deprecated::T > Class Template Reference

`#include <pcl/segmentation/euclidean_cluster_comparator.h>`

Inheritance diagram for pcl::EuclideanClusterComparator< PointT, PointLT, deprecated::T >:

## Additional Inherited Members

Public Types inherited from pcl::experimental::EuclideanClusterComparator< PointT, PointLT >
using | PointCloudL = pcl::PointCloud< PointLT >
using | PointCloudLPtr = typename PointCloudL::Ptr
using | PointCloudLConstPtr = typename PointCloudL::ConstPtr
using | Ptr = shared_ptr< EuclideanClusterComparator< PointT, PointLT > >
using | ConstPtr = shared_ptr< const EuclideanClusterComparator< PointT, PointLT > >
using | ExcludeLabelSet = std::set< std::uint32_t >
using | ExcludeLabelSetPtr = shared_ptr< ExcludeLabelSet >
using | ExcludeLabelSetConstPtr = shared_ptr< const ExcludeLabelSet >
Public Types inherited from pcl::Comparator< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< Comparator< PointT > >
using | ConstPtr = shared_ptr< const Comparator< PointT > >
Public Member Functions inherited from pcl::experimental::EuclideanClusterComparator< PointT, PointLT >
| EuclideanClusterComparator ()
| Default constructor for EuclideanClusterComparator. More...
void | setInputCloud (const PointCloudConstPtr &cloud) override
| Set the input cloud for the comparator. More...
void | setDistanceThreshold (float distance_threshold, bool depth_dependent)
| Set the tolerance in meters for difference in perpendicular distance (d component of plane equation) to the plane between neighboring points, to be considered part of the same plane. More...
float | getDistanceThreshold () const
| Get the distance threshold in meters (d component of plane equation) between neighboring points, to be considered part of the same plane. More...
void | setLabels (const PointCloudLPtr &labels)
| Set label cloud. More...
const ExcludeLabelSetConstPtr & | getExcludeLabels () const
void | setExcludeLabels (const ExcludeLabelSetConstPtr &exclude_labels)
| Set labels in the label cloud to exclude. More...
bool | compare (int idx1, int idx2) const override
| Compare points at two indices by their euclidean distance. More...
Public Member Functions inherited from pcl::Comparator< PointT >
| Comparator ()
| Empty constructor for comparator. More...
virtual | ~Comparator ()
| Empty destructor for comparator. More...
virtual PointCloudConstPtr | getInputCloud () const
| Get the input cloud this comparator operates on. More...
Protected Attributes inherited from pcl::experimental::EuclideanClusterComparator< PointT, PointLT >
PointCloudLPtr | labels_
| Set of labels with similar size as the input point cloud, aggregating points into groups based on a similar label identifier. More...
ExcludeLabelSetConstPtr | exclude_labels_
| Specifies which labels should be excluded com being clustered. More...
float | distance_threshold_
bool | depth_dependent_
Eigen::Vector3f | z_axis_
Protected Attributes inherited from pcl::Comparator< PointT >
PointCloudConstPtr | input_

## Detailed Description

### template<typename PointT, typename PointLT>
class pcl::EuclideanClusterComparator< PointT, PointLT, deprecated::T >

Definition at line 267 of file euclidean_cluster_comparator.h.

The documentation for this class was generated from the following file:

- pcl/segmentation/euclidean_cluster_comparator.h